/* ==========================================================================
**
**                               TitleBox.h
**
** Object<GraphicObject<TitleBox
**
** A TitleBox is a 3D embossed box with a character title in its
** center.  (Looks kinda like a marquee.)
**
** You can do anything to a TitleBox that you can do with a GraphicObject
** (See GraphicObject.h)
**
** 1991 WILLISoft
**
** ==========================================================================
*/


#ifndef TITLEBOX_H
#define TITLEBOX_H


#include "GraphicObject.h"
#include "Precognition3D.h"
#include "Precognition_utils.h"

typedef struct TitleBox
   {
      Class          *isa;
      char           *ObjectName;
      void           *Next; /* Points to next GraphicObject in chain. */
      tPoint          Location;
      tPoint          Size;
      pcg_3DBox       BoxBorder;
      pcg_3DPens      Pens;
      PrecogText      ptext;

   } TitleBox;

void TitleBox_Init( TitleBox    *self,
                    PIXELS       LeftEdge,
                    PIXELS       TopEdge,
                    PIXELS       Width,
                    PIXELS       Height,
                    pcg_3DPens   Pens,
                    char        *Label );

struct GraphicObjectClass *TitleBoxClass( void );

void TitleBoxClass_Init( struct GraphicObjectClass *class );

#endif

